Bug 1242281 (CVE-2015-4748) - CVE-2015-4748 OpenJDK: incorrect OCSP nextUpdate checking (Libraries, 8075374)
Summary: CVE-2015-4748 OpenJDK: incorrect OCSP nextUpdate checking (Libraries, 8075374)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-4748
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1235167
TreeView+ depends on / blocked
 
Reported: 2015-07-12 22:03 UTC by Tomas Hoger
Modified: 2019-09-29 13:34 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A flaw was found in the way the Libraries component of OpenJDK verified Online Certificate Status Protocol (OCSP) responses. An OCSP response with no nextUpdate date specified was incorrectly handled as having unlimited validity, possibly causing a revoked X.509 certificate to be interpreted as valid.
Clone Of:
Environment:
Last Closed: 2015-08-13 12:18:10 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1228 normal SHIPPED_LIVE Important: java-1.8.0-openjdk security update 2015-07-15 16:37:01 UTC
Red Hat Product Errata RHSA-2015:1229 normal SHIPPED_LIVE Critical: java-1.7.0-openjdk security update 2015-07-15 16:35:48 UTC
Red Hat Product Errata RHSA-2015:1230 normal SHIPPED_LIVE Important: java-1.7.0-openjdk security update 2015-07-15 16:01:10 UTC
Red Hat Product Errata RHSA-2015:1241 normal SHIPPED_LIVE Critical: java-1.8.0-oracle security update 2017-12-15 15:34:28 UTC
Red Hat Product Errata RHSA-2015:1242 normal SHIPPED_LIVE Critical: java-1.7.0-oracle security update 2017-12-15 15:31:57 UTC
Red Hat Product Errata RHSA-2015:1243 normal SHIPPED_LIVE Important: java-1.6.0-sun security update 2017-12-15 15:34:18 UTC
Red Hat Product Errata RHSA-2015:1485 normal SHIPPED_LIVE Critical: java-1.7.1-ibm security update 2015-07-22 23:56:33 UTC
Red Hat Product Errata RHSA-2015:1486 normal SHIPPED_LIVE Critical: java-1.6.0-ibm security update 2015-07-22 23:33:04 UTC
Red Hat Product Errata RHSA-2015:1488 normal SHIPPED_LIVE Critical: java-1.7.0-ibm security update 2015-07-23 23:20:39 UTC
Red Hat Product Errata RHSA-2015:1526 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security update 2015-07-30 21:14:52 UTC
Red Hat Product Errata RHSA-2015:1544 normal SHIPPED_LIVE Important: java-1.5.0-ibm security update 2015-08-04 21:13:08 UTC
Red Hat Product Errata RHSA-2015:1604 normal SHIPPED_LIVE Moderate: Red Hat Satellite IBM Java Runtime security update 2015-08-12 20:38:58 UTC

Description Tomas Hoger 2015-07-12 22:03:57 UTC
A flaw was found in the way the Libraries component of OpenJDK verified OCSP (Online Certificate Status Protocol) response.  An OCSP response with no nextUpdate date specified was incorrectly handled as having unlimited validity.  This could allow a Java application to accept a revoked X.509 certificate as valid if it was presented with an OCSP response generated before certificate revocation.

Comment 1 Tomas Hoger 2015-07-14 20:37:52 UTC
Public now via Oracle Critical Patch Update - July 2015.  Fixed in Oracle Java SE 6u101, 7u85, and 8u51.

External References:

http://www.oracle.com/technetwork/topics/security/cpujul2015-2367936.html#AppendixJAVA

Comment 2 errata-xmlrpc 2015-07-15 12:01:54 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5

Via RHSA-2015:1230 https://rhn.redhat.com/errata/RHSA-2015-1230.html

Comment 3 errata-xmlrpc 2015-07-15 12:36:46 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2015:1229 https://rhn.redhat.com/errata/RHSA-2015-1229.html

Comment 4 errata-xmlrpc 2015-07-15 12:37:56 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2015:1228 https://rhn.redhat.com/errata/RHSA-2015-1228.html

Comment 5 Tomas Hoger 2015-07-16 15:02:01 UTC
OpenJDK 8 upstream commit:

http://hg.openjdk.java.net/jdk8u/jdk8u/jdk/rev/5a49012971bb

Comment 6 errata-xmlrpc 2015-07-17 08:04:16 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 5
  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2015:1243 https://rhn.redhat.com/errata/RHSA-2015-1243.html

Comment 7 errata-xmlrpc 2015-07-17 08:05:27 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 5

Via RHSA-2015:1242 https://rhn.redhat.com/errata/RHSA-2015-1242.html

Comment 8 errata-xmlrpc 2015-07-17 08:08:26 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 7

Via RHSA-2015:1241 https://rhn.redhat.com/errata/RHSA-2015-1241.html

Comment 9 errata-xmlrpc 2015-07-22 19:34:00 UTC
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2015:1486 https://rhn.redhat.com/errata/RHSA-2015-1486.html

Comment 10 errata-xmlrpc 2015-07-22 19:57:05 UTC
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 7
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2015:1485 https://rhn.redhat.com/errata/RHSA-2015-1485.html

Comment 11 errata-xmlrpc 2015-07-23 19:21:36 UTC
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2015:1488 https://rhn.redhat.com/errata/RHSA-2015-1488.html

Comment 12 errata-xmlrpc 2015-07-30 17:15:49 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2015:1526 https://rhn.redhat.com/errata/RHSA-2015-1526.html

Comment 13 errata-xmlrpc 2015-08-04 17:14:11 UTC
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 6
  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2015:1544 https://rhn.redhat.com/errata/RHSA-2015-1544.html

Comment 14 errata-xmlrpc 2015-08-12 16:40:17 UTC
This issue has been addressed in the following products:

  Red Hat Satellite Server v 5.7
  Red Hat Satellite Server v 5.6

Via RHSA-2015:1604 https://rhn.redhat.com/errata/RHSA-2015-1604.html


Note You need to log in before you can comment on or make changes to this bug.